import java.util.Vector;

public class Vorlesung {
	private String titel;
	private Dozent dozent;
	private Vector<Student> studenten;
	
	public Vorlesung(String titel, Dozent dozent){
		this.titel = titel; 
		this.dozent = dozent;
		studenten = new Vector<Student>();
	}
	
	public String getTitel() {
		return titel;
	}
	public void setTitel(String titel) {
		this.titel = titel;
	}
	public Dozent getDozent() {
		return dozent;
	}
	public void setDozent(Dozent dozent) {
		this.dozent = dozent;
	}
	
	public void studentAnmelden(Student student){
		studenten.add(student);
	}
	
	public int getAnzahlStudenten(){
		return this.studenten.size();
	}
}
