import java.util.Vector;

public class Vorlesungsverzeichnis {
	private Vector<Vorlesung> vorlesungen;
	
	public Vorlesungsverzeichnis(){
		vorlesungen = new Vector<Vorlesung>();
	}
	
	public void vorlesungenAnzeigen(){
		for (int i = 0; i < vorlesungen.size(); i++) {
			Vorlesung v = vorlesungen.get(i);
			System.out.println("\tTitel:      " + v.getTitel());
			
			Dozent d = v.getDozent();
			System.out.println("\tDozent:     " + d.getName());
			System.out.println("\tAnz. Stud.: " + v.getAnzahlStudenten());
			System.out.println();
		}
	}
	
	public void vorlesungHinzufügen(Vorlesung v){
		vorlesungen.add(v);
	}
	
	public void vorlesungFinden(String vorlesungTitel){
		boolean found = false;
		for (int i = 0; i < vorlesungen.size(); i++) {
			Vorlesung v = vorlesungen.get(i);
			if(v.getTitel().equals(vorlesungTitel)){
				found = true;
				System.out.println("\tTitel:      " + v.getTitel());
				Dozent d = v.getDozent();
				System.out.println("\tDozent:     " + d.getName());
				System.out.println("\tAnz. Stud.: " + v.getAnzahlStudenten());
				System.out.println();
			}
		}
		
		if(!found)
			System.out.println("\tVorlesung wurde nicht gefunden!");	
	}
	
	
}
